> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current credit balance for API key



## OpenAPI

````yaml /openapi/en/rest/restapi_v1.yaml get /credit
openapi: 3.1.0
info:
  title: REST API SmsManager
  description: |
    API for managing accounts and other resources of SmsManager.
  version: v1
  contact:
    url: https://smsmanager.com
    email: cc@smsmanager.com
servers:
  - url: https://rest-api.smsmngr.com/v1
    description: Production server
security:
  - x-api-key: []
tags:
  - name: api
    x-displayName: API keys
    description: |
      For managing API keys use the following endpoints.
  - name: status
    x-displayName: Status
    description: |
      For reading status of sent messages use the following endpoints.
  - name: inbox
    x-displayName: Inbox
    description: |
      For reading inbox messages use the following endpoints.
  - name: credit
    x-displayName: Credit
    description: |
      For reading credit balance or pricelist info use the following endpoints.
paths:
  /credit:
    get:
      tags:
        - credit
      summary: Get current credit balance for API key
      responses:
        '200':
          description: Information about the credit balance
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Success status.
                    example: true
                  credit:
                    type: object
                    description: Information about the credit balance.
                    properties:
                      credit_czk:
                        type: number
                        description: Credit balance in CZK.
                      credit_eur:
                        type: number
                        description: Credit balance in EUR.
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Success status.
                    example: false
                  message:
                    type: string
                    description: Error message.
                    example: Failed to read credit balance
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````